Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
observability
/
profiles
/
automatic
List automatic profiling results
curl --request GET \
  --url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/automatic \
  --header 'Authorization: Bearer <token>'
{
  "_project_id": "abc123def456",
  "_environment_id": "main",
  "_branch_machine_name": "main-bvxea6i",
  "_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
  "profiles": [
    {
      "uuid": "4b5266a2-fd71-468b-bf05-87b342079cbf",
      "name": "POST /api/cart",
      "metadata": {
        "Triggered by": "apm",
        "Transaction Name": "App\\Controller\\CartController::add"
      },
      "_links": {
        "graph_url": {
          "href": "https://blackfire.io/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
          "type": "text/html"
        },
        "api_timeline": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/timeline",
          "type": "application/json"
        },
        "api_subprofiles": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/subprofiles",
          "type": "application/json"
        },
        "api_profile": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/profile",
          "type": "application/json"
        },
        "api_graph": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
          "type": "application/json"
        }
      }
    }
  ],
  "page": 1,
  "pages": 3,
  "total": 25
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

The unique identifier of the Upsun project

Pattern: [a-z0-9]+
Example:

"abc123def456"

environmentId
string
required

The environment identifier

Pattern: .+
Example:

"main"

Query Parameters

transaction
string

Filter by transaction name (exact match).

Example:

"App\\Controller\\ProductController::list"

page
integer

Page number for pagination.

Required range: x >= 1
limit
integer

Number of profiles per page.

Required range: 1 <= x <= 100
url
string

Wildcard search across URI, name, and transaction name.

is_public
enum<string>

Filter to public profiles only when set to "true".

Available options:
true,
false

Response

Automatic profiles retrieved successfully

_project_id
string
required

Project identifier

Example:

"abc123def456"

_environment_id
string
required

Environment identifier

Example:

"main"

_branch_machine_name
string
required

Branch machine name

Example:

"main-bvxea6i"

_agent
string<uuid>
required

Blackfire Agent UUID

Example:

"a38f69ca-3b56-4ea6-beac-272b2568164a"

profiles
object[]
required

List of automatic profiles

page
integer
required

Current page number

Example:

1

pages
integer
required

Total number of pages

Example:

3

total
integer
required

Total number of profiles

Example:

25

Last modified on March 25, 2026